"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    presets: [
        [
            require.resolve('@babel/preset-env'),
            {
                useBuiltIns: 'entry',
                corejs: 3,
                exclude: ['transform-typeof-symbol']
            }
        ],
        require.resolve('@babel/preset-react')
    ],
    plugins: [
        [require.resolve('@babel/plugin-transform-runtime'), {
                corejs: false,
                helpers: true,
                regenerator: true,
                useESModules: true
            }],
        require.resolve('@babel/plugin-proposal-async-generator-functions'),
        require.resolve('@babel/plugin-proposal-function-bind'),
        require.resolve('@babel/plugin-proposal-optional-chaining'),
        [require.resolve('@babel/plugin-proposal-decorators'), { legacy: true }],
        require.resolve('@babel/plugin-proposal-class-properties'),
        require.resolve('@babel/plugin-proposal-private-methods'),
        require.resolve('@babel/plugin-transform-classes')
    ],
    babelrc: false,
    configFile: false,
    cacheDirectory: true,
    // See #6846 for context on why cacheCompression is disabled
    cacheCompression: false
};
