"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    'extends': [
        'eslint:recommended',
        'plugin:react/recommended',
        'plugin:react-hooks/recommended'
    ],
    'parser': require.resolve('@typescript-eslint/parser'),
    'parserOptions': {
        ecmaVersion: 2018,
        sourceType: 'module',
        ecmaFeatures: {
            jsx: true,
            impliedStrict: true
        }
    },
    'settings': {
        react: {
            version: 'detect'
        }
    },
    'plugins': [
        'react',
        'jest',
        'react-hooks',
        '@typescript-eslint'
    ],
    'env': {
        browser: true,
        node: true,
        commonjs: true,
        es6: true,
        jest: true
    },
    'rules': {
        'react/no-find-dom-node': 'off',
        'eqeqeq': 'error',
        'block-scoped-var': 'error',
        'comma-dangle': 'off',
        'no-eval': 'warn',
        'no-console': 'warn',
        'no-debugger': 'error',
        'no-undef': 'warn',
        'no-unused-vars': 'warn',
        'operator-linebreak': ['error', 'before'],
        'object-curly-newline': 'off',
        'padded-blocks': 'off',
        'jsx-quotes': ['error', 'prefer-double'],
        'no-lonely-if': 'warn',
        'array-callback-return': 'off',
        'valid-jsdoc': [
            'error',
            {
                requireReturn: false
            }
        ]
    }
};
