"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var mini_css_extract_plugin_1 = __importDefault(require("mini-css-extract-plugin"));
var utils_1 = __importDefault(require("../utils"));
var cssRegex = /\.css$/;
function getStyleLoader(rcb, preLoader) {
    var loader = [
        utils_1.default.isDev() ? require.resolve('style-loader') : mini_css_extract_plugin_1.default.loader,
        { loader: require.resolve('css-loader'), options: { sourceMap: true } },
        {
            loader: require.resolve('postcss-loader'), options: {
                postcssOptions: {
                    plugins: [
                        require.resolve('postcss-flexbugs-fixes'),
                        [
                            require.resolve('postcss-preset-env'),
                            {
                                autoprefixer: {
                                    flexbox: 'no-2009',
                                },
                                stage: 3,
                            },
                        ],
                        require.resolve('postcss-normalize')
                    ]
                }
            }
        },
        { loader: require.resolve('resolve-url-loader'), options: { sourceMap: true, silent: true } }
    ];
    if (preLoader) {
        loader.push(preLoader);
    }
    return loader;
}
function getCssLoader(rcb) {
    return ({
        test: cssRegex,
        use: getStyleLoader(rcb)
    });
}
getCssLoader.getStyleLoader = getStyleLoader;
exports.default = getCssLoader;
