"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BABEL_REGEX = /\.(js|mjs)$/;
function getNodeModulesBabelLoader() {
    console.log;
    return ({
        test: BABEL_REGEX,
        exclude: /@babel(?:\/|\\{1,2})runtime|core-js/,
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: {
                    sourceType: 'unambiguous',
                    presets: [
                        [require.resolve('@babel/preset-env'),
                            {
                                useBuiltIns: 'entry',
                                corejs: 3,
                                exclude: ['transform-typeof-symbol'],
                            }]
                    ],
                    plugins: [
                        [require.resolve('@babel/plugin-transform-runtime'),
                            {
                                corejs: false,
                                helpers: true,
                                regenerator: true,
                                useESModules: true,
                            }]
                    ]
                }
            }
        ]
    });
}
exports.default = getNodeModulesBabelLoader;
