"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = __importDefault(require("../utils"));
function loggerMiddleware() {
    return function (req, res, next) {
        var accepts = req.accepts && req.accepts() || [];
        if (accepts.some(function (accept) {
            return /\.(css|css\?\d+|js|png|jpg|svg|gif|html|text|doc|ico|hot-update.json)$/.test(accept);
        })
            || req.url === '/') {
            return next();
        }
        var startDate = Date.now();
        next();
        var msg = "[" + req.method + "] " + req.url + "  " + res.statusCode + " " + (Date.now() - startDate) + "ms";
        if (res.statusCode >= 400) {
            utils_1.default.warning(msg);
        }
        else {
            utils_1.default.logger(msg);
        }
    };
}
exports.default = loggerMiddleware;
;
