import { RcbConfig } from '../getConfig';
import bablerc from '../babelrc.js';
import utils from '../utils';
import paths from '../paths';
const BABEL_REGEX = /\.(jsx|js|mjs)$/;

export default function getBabelLoader(rcb: RcbConfig) {
    let include = [
        paths.src
    ];
    return ({
        test: BABEL_REGEX,
        include,
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: utils.mergeBabelConfig(bablerc, { plugins: rcb.babelPlugins, presets: rcb.babelPresets })
            }
        ]
    });
}
