import path from 'path';
import utils from './utils';
import {Configuration} from 'webpack';

export default function getOutput(config?: Configuration['output']): Configuration['output'] {
    return Object.assign({
        path: path.resolve(process.cwd(), 'dist'),
        filename: utils.isDev() ? 'js/[name].js' : 'js/[name].[contenthash:8].js',
        chunkFilename: utils.isDev() ? 'js/[name].chunk.js' : 'js/[name].chunk.[contenthash:8].js'
    }, config);
};
